# Package org.apache.cassandra.exceptions

Interface Summary
TransportException

Enum Summary
ExceptionCode: Exceptions code, as defined by the binary protocol.

Exception Summary
AlreadyExistsException
AuthenticationException
CassandraException
ConfigurationException
FunctionExecutionException
InvalidRequestException
IsBootstrappingException
OverloadedException
PreparedQueryNotFoundException
ReadFailureException
ReadTimeoutException
RepairException: Exception thrown during repair
RequestExecutionException
RequestFailureException
RequestTimeoutException
RequestValidationException
StartupException: An exception thrown during system startup, indicating the environment or system is not in a valid state to startup.
SyntaxException
TruncateException
UnauthorizedException
UnavailableException
UnrecognizedEntityException: Exception thrown when an entity is not recognized within a relation.
WriteFailureException
WriteTimeoutException